# Frame Extraction

## CLI Arguments

### Trim Frame Start

Specify the starting frame of the target video.

Argument: `--trim-frame-start`

Default: `None`

Example: `--trim-frame-start 100`

### Trim Frame End

Specify the ending frame of the target video.

Argument: `--trim-frame-end`

Default: `None`

Example: `--trim-frame-end 200`

### Temp Frame Format

Specify the temporary resources format.

Argument: `--temp-frame-format`

Default: `png`

Choices:

* `bmp`
* `jpeg`
* `png`
* `tiff`

Example: `--temp-frame-format bmp`

### Keep Temp

Keep the temporary resources after processing.

Argument: `--keep-temp`

Default: `None`

Example: `--keep-temp`

## Default Overrides

Modify the `facefusion.ini` file to override the defaults.

```ini
[frame_extraction]
trim_frame_start = 100
trim_frame_end = 200
temp_frame_format = bmp
keep_temp = True
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.facefusion.io/usage/cli-arguments/frame-extraction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
